package com.hxy.demodeepseek.controller;
import com.hxy.demodeepseek.service.DeepSeekService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RestController;
import reactor.core.publisher.Flux;
import reactor.core.publisher.Mono;

import java.util.List;

@RestController
public class DeepSeekController {
    @Autowired
    private DeepSeekService deepSeekService;

    @GetMapping("/chat")
    public Mono<String> sendChatRequest(String question) {
        Flux<String> response = deepSeekService.sendChatRequest(question);
        // 将 Flux 中的元素收集到一个列表中
        Mono<List<String>> listMono = response.collectList();

        // 将列表中的元素拼接成一个字符串
        Mono<String> resultMono = listMono.map(list -> {
            StringBuilder sb = new StringBuilder();
            for (String str : list) {
                sb.append(str);
            }
            System.out.println("resultMono = " + sb);
            return sb.toString();
        });

        return resultMono;
    }
}

